Summary: 	Open Motif runtime libraries and executables.
Name: 		openmotif
Version: 	2.2.3
Release: 	1
License: 	Open Group Public License
Group: 		Libraries
URL:            http://www.motifzone.org/
Source:  	ftp://ftp.ics.com/pub/Products/Motif/om2.2.3/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Prefix: 	/usr/X11R6

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%package 	devel
Summary: 	Open Motif development libraries and header files.
Group: 		Development

%description 	devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
./autogen.sh \
    --host=i386-pc-linux \
    --build=i386-pc-linux \
    --prefix=%{prefix} \
    --libdir=%{prefix}/%{_lib} \
    --enable-static \
    --disable-nls \
    --without-included-gettext
make clean
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} install
mkdir -p $RPM_BUILD_ROOT/usr/include

pushd $RPM_BUILD_ROOT/usr/include/
ln -s ../X11R6/include/Xm .
ln -s ../X11R6/include/Mrm .
ln -s ../X11R6/include/uil .
popd

rm -fr $RPM_BUILD_ROOT%{prefix}/%{_lib}/*.la \
       $RPM_BUILD_ROOT%{prefix}/share/Xm/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/%{_lib}/*.so.*
%{prefix}/%{_lib}/*.so
%{prefix}/bin/mwm
%{prefix}/bin/xmbind
%{prefix}/include/X11
%{prefix}/lib/X11
%{prefix}/man/man1/mwm*
%{prefix}/man/man1/xmbin*

%files devel
%defattr(-,root,root)
%{prefix}/%{_lib}/*.a
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{prefix}/bin/uil
%{_includedir}
%{prefix}/man/man1/uil*
